# Class ArrowResultChunkV2

java.lang.Object
com.databricks.jdbc.api.impl.arrow.AbstractArrowResultChunk
com.databricks.jdbc.api.impl.arrow.incubator.ArrowResultChunkV2

public class ArrowResultChunkV2 extends AbstractArrowResultChunk

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`ArrowResultChunkV2.Builder`

## Field Summary

Fields
Modifier and Type
Field
Description
`protected long`
`bytesDownloaded`
`protected byte[]`
`downloadedBytes`
`protected long`
`downloadEndTime`
`protected long`
`downloadStartTime`

### Fields inherited from class com.databricks.jdbc.api.impl.arrow.AbstractArrowResultChunk

`arrowMetadata, chunkIndex, chunkLink, chunkReadyFuture, chunkReadyTimeoutSeconds, errorMessage, expiryTime, numRows, recordBatchList, rootAllocator, rowOffset, SECONDS_BUFFER_FOR_EXPIRY, stateMachine, statementId`

## Method Summary

Modifier and Type
Method
Description
`static ArrowResultChunkV2.Builder`
`builder()`
`protected void`
`downloadData(IDatabricksHttpClient httpClient, CompressionCodec compressionCodec, double speedThreshold)`
Downloads and initializes data for this chunk using the provided HTTP client and compression codec.
`protected void`
`handleFailure(Exception exception, ChunkStatus failedStatus)`
Handles a failure during the download or processing of this chunk.

### Methods inherited from class com.databricks.jdbc.api.impl.arrow.AbstractArrowResultChunk

`getArrowMetadata, getChunkIndex, getChunkIterator, getChunkReadyFuture, getColumnVector, getNumRows, getRecordBatchCountInChunk, getRecordBatchList, getStatus, initializeData, isChunkLinkInvalid, releaseChunk, setChunkLink, setStatus, waitForChunkReady`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### downloadStartTime

protected volatile long downloadStartTime

### downloadEndTime

protected volatile long downloadEndTime

### bytesDownloaded

protected volatile long bytesDownloaded

### downloadedBytes

protected byte[] downloadedBytes

## Method Details

### builder

public static ArrowResultChunkV2.Builder builder()

### downloadData

protected void downloadData(IDatabricksHttpClient httpClient, CompressionCodec compressionCodec, double speedThreshold)
Description copied from class: `AbstractArrowResultChunk`
Downloads and initializes data for this chunk using the provided HTTP client and compression codec.

Specified by:
  `downloadData` in class `AbstractArrowResultChunk`
Parameters:
  `httpClient` - the HTTP client to use for downloading
  `compressionCodec` - the compression codec to use for decompression
  `speedThreshold` - the minimum expected download speed in MB/s for logging warnings

### handleFailure

protected void handleFailure(Exception exception, ChunkStatus failedStatus)
Description copied from class: `AbstractArrowResultChunk`
Handles a failure during the download or processing of this chunk.

Specified by:
  `handleFailure` in class `AbstractArrowResultChunk`